# Дизайнер за съдържанието на клипборда (Clip Contents Designer) #

*	Автори: Noelia, Abdel.

Тази добавка служи за добавяне на текст към клипборда, което може да бъде
полезно когато искате да обедините в едно отделни части от текст, готов за
поставяне.  Съдържанието на клипборда може и да се изчиства или показва в
режим на разглеждане.

## Клавиатурни команди ##
*	NVDA+Windows+C: Добавяне към клипборда на избрания текст, уникод брайлови
  символи представящи обекти на MathML, или низа маркиран с курсора за
  преглед.
*	NVDA+Windows+X: Изчистване на съдържанието на клипборда.
*	Не е назначено: Копира в (или изрязва от) клипборда, с възможност за
  запитване за потвърждение.
*	Не е назначено: Показва текста на клипборда като HTML в режим на
  разглеждане или съобщава, ако клипбордът е празен или има съдържание,
  което не може да бъде представено в съобщение за преглед, например ако
  файлове или папки са копирани от Windows Explorer.
*	Не е назначено: Показва текста на клипборда в режим на разглеждане или
  съобщава, ако клипбордът е празен или има съдържание, което не може да
  бъде представено в съобщение за преглед, например ако файлове или папки са
  копирани от Windows Explorer.


## Настройки на дизайнера за съдържанието на клипборда ##

Този панел е достъпен от менюто на NVDA -> подменю "Настройки" -> диалоговия
прозорец "Настройки".

Съдържа следните контроли:

* Възстановяване на настройките по подразбиране: Натиснете Shift+TAB след
  отваряне на панела, за да достигнете до този бутон.
* Въвеждане на низа, който да се използва като разделител между
  съдържанието, добавено в клипборда: Позволява задаването на разделител,
  който може да се използва за намиране на текстовите сегменти, след като
  целият добавен текст бъде поставен.
* Добавяне на текст преди данните на клипборда: Възможно е също така да се
  избере дали текстът ще бъде добавен преди или след.
* Избор на действията, които изискват предшестващо потвърждение: Може да се
  избере за всяко налично действие дали да се извърши незабавно или след
  потвърждение. Наличните действия са: добавяне на текст, изчистване на
  клипборда, емулиране на копиране и емулиране на изрязване.
* Искане на потвърждение, преди да се извършат избраните действия, когато:
  Може да се избере дали потвържденията ще се изискват винаги, само ако
  текстът се съдържа в клипборда или ако клипборда не е празен (например при
  копиране на файл, а не текст).
* Формат, в който да се извежда текстът на клипборда като HTML в режим на
  разглеждане: Ако изучавате езика за маркиране HTML, можете да изберете
  предварително форматиран текст в HTML или HTML, както бива извеждан в уеб
  браузъра, за да имате представа за това как ще бъде изобразен вашият HTML
  код от NVDA в браузъра. Разликата между предварително форматиран и
  конвенционален HTML ев това, че първата опция ще запази последователни
  интервали и прекъсвания на редове, а втората ще ги уплътни. Например
  напишете някои HTML тагове като h1, h2, li, pre и т.н., изберете и
  копирайте текста в клипборда и използвайте добавката "Дизайнер за
  съдържанието на клипборда", за да покажете текста в съобщение за
  разглеждане.
* Максимален брой знаци при показване на текст в клипборда в режим на
  разглеждане: Моля, имайте предвид, че увеличаването на това ограничение
  може да създаде проблеми, ако клипбордът съдържа големи текстови
  низове. Ограничението по подразбиране е 100000 знака.

Забележки:

* Няма да има запитване за потвърждение, ако в момента има отворен друг
  диалогов прозорец на NVDA. В тези случаи действията ще бъдат извършвани
  незабавно.
* Под "емулирано копиране" и "емулирано изрязване" се има предвид, че когато
  тези функции са активирани, добавката ще поеме контрола върху Control+C и
  Control+X. Това ще позволи да се избере дали да се иска потвърждение преди
  извършване на действията, съответстващи на тези клавишни команди.

## Промени във версия 22.0.0
* Добавен е бутон за възстановяване на настройките по подразбиране в панела
  с настройки на добавката.
* Добавката не може да се изпълнява в защитен режим.

## Промени във версия 17.0
* Добавката е съвместима с NVDA 2023.1.

## Промени във версия 16.0
* Изисква се NVDA 2022.1 или по-нова версия.

## Промени във версия 15.0
* Командата за добавяне на текст към клипборда отново е налична в диалоговия
  прозорец "Жестове на въвеждане".
* Поправени са жестовете за копиране и изрязване с персийска клавиатурна
  подредба (благодарение на Mohammadhosein Ghezelsofla).

## Промени във версия 14.0
* Съвместима с NVDA 2021.1.

## Промени във версия 13.0 
* Отстранен проблем с визуалното оформление на панела за настройки
  (благодарности за това към Cyrille Bougot).
* Подобрения в документацията.
* Добавена е категория "Дизайнер за съдържанието на клипборда", за задаване
  на жестове на въвеждане за всички команди, налични за тази добавка.
* Отстранени грешки при използване на емулирано копиране в браузърите при
  активен режим на фокус.
* Възможност за задаване на различни жестове за извеждане на текстовото
  съдържание на клипборда като чист текст или форматиран в HTML. Форматът за
  показване на текста на клипборда в панела за настройки е съответно
  модифициран, за да може да се изберат двете опции, налични за HTML
  формата.

## Промени във версия 12.0
* Отстранени грешки при използване на емулирано копиране в приложения като
  LibreOffice Writer.

## Промени във версия 11.0
* Сега е възможно да добавите текст, маркиран с курсора за преглед, като
  използвате стандартните команди на NVDA (NVDA+F9 и
  NVDA+F10). NVDA+Windows+F9 вече не се използва, с цел по-добра интеграция
  с новата команда NVDA+Shift+F9.
* Изисква се NVDA 2019.3 или по-нова версия.

## Промени във версия 10.0
* Поправена грешка в диалоговия прозорец използван за показване на текста в
  клипборда, когато заглавието му съдържа букви извън латиницата.
* Поправена грешка при използване на функциите за емулирано изрязване и
  копиране при използване на арабска клавиатурна подредба. Това е поправено
  от Abdel, който е добавен като съавтор на добавката.

## Промени във версия 9.0

* Добавена е възможност за показване на текста на клипборда в режим на
  разглеждане.
* Добавена е опция за избор дали ще са необходими потвърждения, ако
  клипбордът не е празен, например ако са копирани файлове или папки.
* Изисква NVDA 2018.4 или по-нова.

## Промени във версия 8.0 ##

* Настройките на добавката се показват в съответната категория на прозореца
  с настройките на NVDA.
* Изисква NVDA 2018.2 или по-нова.
* Ако е необходимо, можете да изтеглите [последната версия, съвместима с
  NVDA 2017.3][3].

## Промени във версия 7.0

* При инсталиране, в диалоговия прозорец за конфигуриране на функциите за
  емулиране на копиране и изрязване, ако изберете "Не", командите за тези
  функции ще бъдат премахнати, за да можете да възстановите нормалното
  поведение на Control+C и Control+X.

## Промени във версия 6.0

*	Добавени са опции за избор дали наличните действия  ще се извършват след потвърждение.
*	Добавени са команди за емулиране на копирането и изрязването, на които могат да бъдат назначени жестове в екрана за управление на жестовете на NVDA.
*	 Добавен е диалогов прозорец по време на инсталацията за конфигуриране на функциите за емулиране на копирането и изрязването. Това позволява да добавите командите Control+C и Control+X към копирането и изрязването, и да бъдете запитвани дали желаете да замените съдържанието на клипборда при натискането на тези клавишни комбинации.
*	Поправена е документацията за script_add (Windows+NVDA+C).

## Промени във версия 5.0 ##

*	Визуалното представяне на прозореца е подобрено, придържайки се към
  стандарта за изглед на прозорците, извеждани от NVDA.
*	Изисква NVDA 2016.4 или по-нова.

## Промени във версия 4.0 ##
*	Настройките на добавката се управляват от конфигурацията на NVDA, така че
  стандартните профили може да се използват за запазване на различни
  разделители. Освен това, отпада необходимостта да копирате настройките за
  импортиране при преинсталация.
*	Сега е възможно да изберете дали добавеният текст ще бъде добавен преди
  или след наличния текст, с помощта на опцията "Добави текста преди данните
  в клипборда" в диалоговия прозорец за настройка на Clip Contents Designer.

## Промени във версия 3.0 ##
*	Ако е инсталиран MathPlayer, в клипборда могат да се добавят брайлови
  представяния на обекти на MathML,.
*	Ако няма зададен разделител, ще бъде поставен един празен ред между
  добавените текстови сегменти.
*	Може да бъде зададен бърз клавиш за отваряне на прозореца с настройките на
  Clip Contents Designer.
*	В диалоговия прозорец с настройките е добавено поле за отметка за избор
  дали разделителят да бъде копиран за импортиране при преинсталиране на
  добавката.

## Промени във версия 2.0 ##
*	Знаци от хинди може да се използват като разделител между добавеното
  съдържание.

## Промени във версия 1.0 ##
*	Първоначално издание.

[[!tag dev stable]]

[3]: https://www.nvaccess.org/addonStore/legacy?file=ccd-o
